## com.imcode.imcms.servlet.beans
Class AdminManagerSubreport

    java.lang.Object
      com.imcode.imcms.servlet.beans.AdminManagerSubreport

    public class AdminManagerSubreport

extends java.lang.Object

Constructor Summary
`AdminManagerSubreport()`

Method Summary
`java.util.List` `getDocuments()`
`LocalizedMessage` `getHeading()`
`java.lang.String` `getName()`
`java.lang.String` `getSearchQueryString()`
`java.lang.String` `getSortorder()`
`boolean` `isAboveMaxDocumentCount(int i)`
`boolean` `isBelowMaxDocumentCount(int i)`
`boolean` `isExpanded()`
`void` `setDocuments(java.util.List documents)`
`void` `setExpanded(boolean expanded)`
`void` `setHeading(LocalizedMessage heading)`
`void` `setMaxDocumentCount(int maxDocumentCount)`
`void` `setName(java.lang.String name)`
`void` `setSearchQueryString(java.lang.String searchQueryString)`
`void` `setSortorder(java.lang.String sortorder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminManagerSubreport

    public AdminManagerSubreport()

Method Detail

### getName

    public java.lang.String getName()

### getSortorder

    public java.lang.String getSortorder()

### getHeading

    public LocalizedMessage getHeading()

### getDocuments

    public java.util.List getDocuments()

### isExpanded

    public boolean isExpanded()

### setDocuments

    public void setDocuments(java.util.List documents)

### setExpanded

    public void setExpanded(boolean expanded)

### setHeading

    public void setHeading(LocalizedMessage heading)

### setName

    public void setName(java.lang.String name)

### setSortorder

    public void setSortorder(java.lang.String sortorder)

### setMaxDocumentCount

    public void setMaxDocumentCount(int maxDocumentCount)

### isBelowMaxDocumentCount

    public boolean isBelowMaxDocumentCount(int i)

### isAboveMaxDocumentCount

    public boolean isAboveMaxDocumentCount(int i)

### setSearchQueryString

    public void setSearchQueryString(java.lang.String searchQueryString)

### getSearchQueryString

    public java.lang.String getSearchQueryString()